StructureElement (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class StructureElement

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.StructureElement

    public class StructureElement

extends java.lang.Object

Class for element of PDF document structure tree.

See Also:
  `StructureTree`

Constructor Summary
`StructureElement(PdfDictionary dict, StructureTree tree)` Constructor.

Method Summary
`void` | `buildSubtree()` Build this element's subtree, if any This checks the "K" entry in the dictionary and locates all referened structure elements.
`void` | `checkAttributes()` Determine if the attributes of this element are valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureElement

    public StructureElement(PdfDictionary dict,
                            StructureTree tree)
                     throws PdfException

  Constructor.

  Parameters:
    `dict` - A PdfDictionary corresponding to a structure element
    `tree` - The root StructureTree object
  Throws:
    `PdfException`

Method Detail

### buildSubtree

    public void buildSubtree()
                      throws PdfException

  Build this element's subtree, if any This checks the "K" entry in the dictionary and locates all referened structure elements. These are put into StructureElement objects, which have their own subtrees built, and these StructureElements are accumulated into `children`.

  Throws:
    `PdfException`

### checkAttributes

    public void checkAttributes()
                         throws PdfException

  Determine if the attributes of this element are valid. If errors are detected, throws a PdfInvalidException.

  Throws:
    `PdfException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD